Broken html using puma 2.0.1

2013-05-31 23:46 - F Schroedter

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.3.0

Description

When using I am Redmine 2.3 with puma 2.0.1 (http://rubygems.org/gems/puma) pages are loaded quite slowly, have partly broken

layout on issues overview (and other pages) and have a "0" after </html> tag. Sometimes I see parts of html like "le="clear:both;">".

Tested also on fresh a Redmine 2.3 without plugins. My system details:

Ruby version              1.9.2 (x86_64-linux)

RubyGems version          1.8.25

Rack version              1.4

Rails version             3.2.13

Everythings works fine with puma 1.6.3.

History

#1 - 2013-06-05 23:51 - F Schroedter

- Status changed from New to Resolved

I found out that puma 2.0.1 works with ruby 1.9.3, so I would say the issue is resolved.

However puma 2.0.1 has problems with ssl (https://github.com/puma/puma/issues/223) but this is an other story.

#2 - 2013-06-06 00:22 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Invalid

OK, thanks for the feedback.
